Uploaded image for project: 'EMR API'
  1. EMR API
  2. EA-142

Allow users of OpenMRS Core 2.2 to use old Diagnosis Service

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Should
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 1.26.0
    • Labels:
      None

      Description

       

      In OpenMRS 2.2, a new Diagnosis class was added, and utilities were created to migrate existing obs-based diagnoses to the new model.

      To ease the upgrade, implementers should be able to chose to use the old service instead of the new one.  This could be specified via Global Property.

       

        Gliffy Diagrams

          Attachments

            Activity

              People

              Assignee:
              mogoodrich Mark Goodrich
              Reporter:
              mogoodrich Mark Goodrich
              Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved: